Apache 2.4.X 后端获取用户真实IP地址

如果你的后端是Apache 2.4.X,那么在编译mod_rpaf-0.6时,一定会出现下面这个错误的。


这是因为Apache 2.4.X的api已经改变了,而mod_rpaf又没有更新导致,可以手动更新了mod_rpaf-2.0.c文件再编译就好了

然后修改httpd.conf配置文件

其实Apache 2.4.X已经自带了一个新的获取前端IP的模块,还是官方的!在Apache 2.4.X源码包里面

不想下载Apache 2.4.X,也可以直接下载mod_remoteip.c的

最后修改httpd.conf配置文件

Leave a Reply

Your email address will not be published. Required fields are marked *

猫言猫语 © 2007-2014 Frontier Theme